<style type="text/css">
	#dwm-widget-loading {
		text-align: center;
		display: none;
	}
	
	.dwm-widget-header {
		background: #ccc;
		background: -webkit-linear-gradient(#ccc, #fff, #ccc);
		background: -o-linear-gradient(#ccc, #fff, #ccc);
		background: -moz-linear-gradient(#ccc, #fff, #ccc);
		background: linear-gradient(#ccc, #fff, #ccc);
		padding: 5px;
		cursor: pointer;
	}

	.dwm-widget-header .toggle-icon:before {
		float: right;
		content: "\f142";
		display: inline-block;
		font: 400 20px/1 dashicons;
		speak: none;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		text-decoration: none!important;
	}

	.dwm-widget-header.closed .toggle-icon:before {
		content: "\f140";
	}

	.dwm-widget-role-container {
		padding: 10px 15px;
		display: none;
	}

	#dwm-save-widgets {
		float: right;
	}
</style>

<script type="text/javascript" language="javascript">
	jQuery(function() {
		jQuery('.dwm-widget-header').click(function() {
			if (jQuery(this).hasClass('closed')) {
				jQuery(this).removeClass('closed');
				jQuery(this).closest('.dwm-widget-wrapper').find('.dwm-widget-role-container').slideDown(300);
			} else {
				jQuery(this).addClass('closed');
				jQuery(this).closest('.dwm-widget-wrapper').find('.dwm-widget-role-container').slideUp(300);
			}
		});

		jQuery('#dwm-disable-widgets').click(function() {
			var postVars = {
				'dwm_disable_core_update_message': jQuery('#dwm-disable-core-update-message').is(':checked'),
				'dwm_disable_plugin_update_message': jQuery('#dwm-disable-plugin-update-message').is(':checked'),
				'disabled_widgets': {},
				'dwm_nonce': '<?php print $this->nonce; ?>'
			};
			jQuery('.dwm-widget-wrapper').each(function() {
				var widgetID = jQuery(this).find('.dwm-widget-id').val();
				postVars['disabled_widgets'][widgetID] = new Array(0);
				jQuery(this).find('.dwm-widget-role:checked').each(function() {
					postVars['disabled_widgets'][widgetID][postVars['disabled_widgets'][widgetID].length] = jQuery(this).val();

				});
			});
			
			jQuery('#dwm-widget-container').hide();
			jQuery('#dwm-widget-loading').show();
			jQuery.post(encodeURI(ajaxurl + '?action=dwm_save_widget_options'), postVars, function (result) {
				jQuery('#dwm-widget-loading').hide();
				jQuery('#dwm-widget-container').show();
			});
		});
	});
</script>