<?php
if (!defined('WP_UNINSTALL_PLUGIN')) {
	exit();
}

if (is_multisite()) {
	$networkSites = get_sites();
	if (sizeof($networkSites) > 0) {
		$originalBlogID = get_current_blog_id();
		foreach($networkSites as $site) {
			switch_to_blog($site->blog_id);
			dwm_delete_site_data();
		}
		switch_to_blog($originalBlogID);
	}
} else {
	dwm_delete_site_data();
}

function dwm_delete_site_data() {
	delete_option('dwm_disabled_widgets');
	delete_option('dwm_disable_core_update_message');
	delete_option('dwm_disable_plugin_update_message');
}
?>